wibble::ConsumerInterface< T > Struct Template Referenceabstract

`#include <consumer.h>`

Inheritance diagram for wibble::ConsumerInterface< T >:
[legend]

## Public Types

typedef T | InputType

## Public Member Functions

virtual void | consume (const T &a)=0
virtual void | consume (Range< T > s)=0
virtual | ~ConsumerInterface ()

## Member Typedef Documentation

## InputType

template<typename T>

typedef T wibble::ConsumerInterface< T >::InputType

## Constructor & Destructor Documentation

## ~ConsumerInterface()

template<typename T>

virtual wibble::ConsumerInterface< T >::~ConsumerInterface | ( |  | ) |

inline virtual

## Member Function Documentation

## consume() [1/2]

template<typename T>

virtual void wibble::ConsumerInterface< T >::consume | ( | const T & | a | ) |

pure virtual

Implemented in wibble::ConsumerMorph< T, W >.

Referenced by wibble::ConsumerMorph< T, W >::consume(), wibble::ConsumerMixin< T, ConsumerFromIterator< T, Out > >::operator=(), and wibble::Consumer< T >::operator=().

## consume() [2/2]

template<typename T>

virtual void wibble::ConsumerInterface< T >::consume | ( | Range< T > | s | ) |

pure virtual

Implemented in wibble::ConsumerMorph< T, W >.

The documentation for this struct was generated from the following file:

- consumer.h